

!!! Listing 1

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.sql.*;

public class Telefonauskunft extends HttpServlet {

    // Variable fr die Datenbankverbindung (JDBC)
  Connection dbVerbindung = null;

  public void init(ServletConfig config) throws ServletException {
    if ( !runsAsApplication ) super.init( config );
      // Datenbankverbindung aufbauen und damit dbVerbindung
      // initialisieren
  }

  public void service(HttpServletRequest req,
                      HttpServletResponse resp)
                      throws ServletException, IOException {

      // Ausgabeformat setzen
    resp.setContentType("text/html");
    out = new PrintStream(resp.getOutputStream());

      // Parameter holen: Name und Telefonnummer
    String name = req.getParameter( "name" );
    String telefonNummer = "";

      // Datenbank abfragen: telefonNummer 

      // HTML-Dokument erzeugen
    out.println( "<HTML><BODY>" );
    out.println( "Die Nummer fr " + name + " ist " + telefonNummer );
    out.println( "</BODY></HTML>" );

  }

  public void destroy() {
      // DB-Verbindung abbauen
    dbVerbindung.close();
  }

}

!!! Listing 2

public String getParameter(String name) {
      // params in der Klasse als Variable 
      // definiert und initialisiert
  if ( params.containsKey(name)
    return((String)params.get(name))
  else return(null);
}

!!! Listing 3

  public static void main( String args[] ) {
    try {
        // Erzeugen eines simulierten Requests und 
        AppHttpServletRequest req = new AppHttpServletRequest();

	// Eintragen der Parameter
        req.addParam( "name", "Hans Muster" );

        // neues Response-Objekt erzeugen
        AppHttpServletResponse resp = new AppHttpServletResponse();

        // Erzeugen eines Servlet-Objekts 
        Telefonauskunft t = new Telefonauskunft();

        // Es handelt sich um eine Standalone-Anwendung
        t.runsAsApplication = true;

        // Servlet ausfhren: Aufruf von init(), service() 
        // und destroy()

     w.init(null);
     w.service(req, resp);
     w.destroy();
    } catch (Exception ex) {
     ex.printStackTrace();
    }
